<script lang="ts">
import Vue from 'vue';
import { UseLiteYouTube, UseLocalizedVideoSubtitles } from '~/mixins';

export default Vue.extend({
  name: 'CaseStudyContentSection',
  mixins: [UseLiteYouTube, UseLocalizedVideoSubtitles],
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="content-section">
    <SlpTypography variant="heading5-bold" tag="h3">{{
      data.header
    }}</SlpTypography>
    <SlpTypography variant="body1" class="slp-mt-24 description" tag="div">
      <span v-if="data.text" v-html="$md.render(data.text)"></span>
    </SlpTypography>
    <div v-if="data.url" class="video">
      <lite-youtube
        :videoid="getYTVideoId(createVideoSource(data.url))"
        :title="data.title + ' Youtube Video player'"
      ></lite-youtube>
    </div>
  </div>
</template>

<style scoped lang="scss">
.content-section {
  margin-top: $spacing-64;
  .description {
    &:deep(p) {
      margin-bottom: $spacing-16;
    }

    &:deep(ul) {
      margin: $spacing-32 $spacing-48;
    }

    &:deep(li) {
      margin-bottom: $spacing-24;
      list-style: initial;
    }
  }
  .video {
    display: flex;
    justify-content: center;
    margin-top: $spacing-32;
    width: 100%;
    lite-youtube {
      width: 100%;
      height: 100%;
      aspect-ratio: 16 / 9;
      border: none;
    }
  }
}
</style>
